---
wsId: buda
title: Buda.com
altTitle: 
authors:
- leo
users: 100000
appId: com.buda.crypto
appCountry: 
released: 2018-01-04
updated: 2022-03-29
version: 2.0.21
stars: 3.6
ratings: 648
reviews: 12
size: 60M
website: https://buda.com
repository: 
issue: 
icon: com.buda.crypto.png
bugbounty: 
meta: ok
verdict: custodial
date: 2022-01-07
signer: 
reviewArchive: 
twitter: BudaPuntoCom
social:
- https://www.linkedin.com/company/budapuntocom
- https://www.facebook.com/BudaPuntoCom
redirect_from:
- /com.buda.crypto/
- /posts/com.buda.crypto/

---

This app has very poor ratings on Google (2.5 stars) and Apple (3.5 stars),
mainly due to limited functionality and high fees. Caution is advised!

This app is an interface to an exchange and coins are held there and not on the
phone. As a custodial service it is **not verifiable**.
